Endpoint
Path parameters
Response (200)
This page is generated from the live API contract at
https://api.thestatsapi.com/llms.txt.Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Retrieve prematch and historical odds for match result, BTTS, totals, corners, and Asian handicap markets.
GET https://api.thestatsapi.com/api/football/matches/{match_id}/odds
| Name | Type | Required | Description |
|---|---|---|---|
match_id | string | Yes | Example: mt_838955483 |
{
"data": {
"match_id": "mt_838955483",
"bookmakers": [
{
"bookmaker": "Pinnacle",
"markets": {
"match_odds": {
"home": {
"opening": "1.750",
"last_seen": "1.810"
},
"draw": {
"opening": "1.750",
"last_seen": "1.810"
},
"away": {
"opening": "1.750",
"last_seen": "1.810"
}
},
"btts": {
"yes": {
"opening": "1.750",
"last_seen": "1.810"
},
"no": {
"opening": "1.750",
"last_seen": "1.810"
}
},
"total_goals": {
"2.5": {
"over": { "opening": "1.750", "last_seen": "1.810" },
"under": { "opening": "1.750", "last_seen": "1.810" }
}
},
"match_corners": {
"9.5": {
"over": { "opening": "1.750", "last_seen": "1.810" },
"under": { "opening": "1.750", "last_seen": "1.810" }
}
},
"asian_handicap": {
"home": {
"-0.5": {
"opening": "3.130",
"last_seen": "3.780"
},
"+0.0": {
"opening": "2.250",
"last_seen": "2.720"
}
},
"away": {
"+0.5": {
"opening": "1.390",
"last_seen": "1.290"
},
"+0.0": {
"opening": "1.690",
"last_seen": "1.500"
}
}
}
}
}
]
}
}
https://api.thestatsapi.com/llms.txt.